/*
 * This file is part of cf4ocl (C Framework for OpenCL).
 *
 * cf4ocl is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * cf4ocl is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with cf4ocl. If not, see
 * <http://www.gnu.org/licenses/>.
 * */

/**
 * @file
 * Aggregate header for _cf4ocl_.
 *
 * @author Nuno Fachada
 * @date 2016
 * @copyright [GNU Lesser General Public License version 3 (LGPLv3)](http://www.gnu.org/licenses/lgpl.html)
 */

#ifndef _CCL_CF4OCL2_H_
#define _CCL_CF4OCL2_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <cf4ocl2/ccl_abstract_wrapper.h>
#include <cf4ocl2/ccl_buffer_wrapper.h>
#include <cf4ocl2/ccl_common.h>
#include <cf4ocl2/ccl_context_wrapper.h>
#include <cf4ocl2/ccl_device_query.h>
#include <cf4ocl2/ccl_device_selector.h>
#include <cf4ocl2/ccl_device_wrapper.h>
#include <cf4ocl2/ccl_errors.h>
#include <cf4ocl2/ccl_event_wrapper.h>
#include <cf4ocl2/ccl_image_wrapper.h>
#include <cf4ocl2/ccl_kernel_arg.h>
#include <cf4ocl2/ccl_kernel_wrapper.h>
#include <cf4ocl2/ccl_memobj_wrapper.h>
#include <cf4ocl2/ccl_oclversions.h>
#include <cf4ocl2/ccl_platforms.h>
#include <cf4ocl2/ccl_platform_wrapper.h>
#include <cf4ocl2/ccl_profiler.h>
#include <cf4ocl2/ccl_program_wrapper.h>
#include <cf4ocl2/ccl_queue_wrapper.h>
#include <cf4ocl2/ccl_sampler_wrapper.h>

#ifdef __cplusplus
}
#endif

#endif
